#!/usr/bin/env python3

import sin
import numpy
import math
import matplotlib.pyplot as plt
from plot_axis import setup_trigo_axis

def sin1_erreur(n):
    return abs(sin.sin1(n) - math.sin(n))

def sin2_erreur(n):
    return abs(sin.sin2(n) - math.sin(n))

xmin = -10
xmax = 10
ymax = 2

x = numpy.linspace(xmin, xmax, num=1000)
ours1 = list(map(sin1_erreur, x))
ours2 = list(map(sin2_erreur, x))

fig, ax = plt.subplots(nrows=2, ncols=1)
log = plt.subplot(211)
plt.ylim([1e-30, ymax])
setup_trigo_axis(plt, log, xmin, xmax)

log.spines['bottom'].set_position(('axes', 0))
log.set_yscale('log')

plt.plot(x, ours1, label='erreur sin1 (log)')
plt.plot(x, ours2, label='erreur sin2 (log)')
plt.legend()

lin = plt.subplot(212)
setup_trigo_axis(plt, lin, xmin, xmax)

plt.plot(x, ours1, label='erreur sin1 (linéaire)')
plt.plot(x, ours2, label='erreur sin2 (linéaire)')
plt.legend()

plt.show()

